﻿
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio 2012
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAirway", "BAirway\BAirway.csproj", "{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.Utils", "BAW.Utils\BAW.Utils.csproj", "{99F44E62-155C-4772-918D-243C844D4C21}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.Dao", "BAW.Dao\BAW.Dao.csproj", "{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.Model", "BAW.Model\BAW.Model.csproj", "{018E828C-20DF-4C37-98D4-C63ACECCFE67}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.Biz", "BAW.Biz\BAW.Biz.csproj", "{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.Transfer", "BAW.Transfer\BAW.Transfer.csproj", "{D0D063C8-4C3E-4550-9040-CB15182D89A2}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.TransferDailyTransaction", "BAW.TransferDailyTransaction\BAW.TransferDailyTransaction.csproj", "{466AA1E0-A583-4C49-92D9-E57C26B19A24}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.HiddenConfig", "BAW.HiddenConfig\BAW.HiddenConfig.csproj", "{368A5C79-DFED-4BE4-919F-C5694BE7FA82}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = ".nuget", ".nuget", "{D45582CB-6E5A-49F5-8F6B-85DCDC756C4D}"
	ProjectSection(SolutionItems) = preProject
		.nuget\NuGet.Config = .nuget\NuGet.Config
		.nuget\NuGet.exe = .nuget\NuGet.exe
		.nuget\NuGet.targets = .nuget\NuGet.targets
	EndProjectSection
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "RadiusService", "RadiusService\RadiusService.csproj", "{FDC444F1-A705-45FE-BF70-3C46C30B8A21}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Test", "Test\Test.csproj", "{52963A9A-7461-407A-86D6-617EE537A616}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BAW.TransferAllTransaction", "BAW.TransferAllTransaction\BAW.TransferAllTransaction.csproj", "{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}"
EndProject
Global
	GlobalSection(SubversionScc) = preSolution
		Svn-Managed = True
		Manager = AnkhSVN - Subversion Support for Visual Studio
	EndGlobalSection
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Any CPU = Debug|Any CPU
		Debug|Mixed Platforms = Debug|Mixed Platforms
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|Any CPU = Release|Any CPU
		Release|Mixed Platforms = Release|Mixed Platforms
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|Any CPU.ActiveCfg = Debug|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|Any CPU.Build.0 = Debug|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|Mixed Platforms.Build.0 = Debug|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|x64.ActiveCfg = Debug|x64
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|x64.Build.0 = Debug|x64
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|x86.ActiveCfg = Debug|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Debug|x86.Build.0 = Debug|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|Any CPU.ActiveCfg = Release|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|Any CPU.Build.0 = Release|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|Mixed Platforms.ActiveCfg = Release|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|Mixed Platforms.Build.0 = Release|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|x64.ActiveCfg = Release|x64
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|x64.Build.0 = Release|x64
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|x86.ActiveCfg = Release|x86
		{425AB1F0-A3C9-44E7-84A8-B6C8A958D600}.Release|x86.Build.0 = Release|x86
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|x64.ActiveCfg = Debug|x64
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|x64.Build.0 = Debug|x64
		{99F44E62-155C-4772-918D-243C844D4C21}.Debug|x86.ActiveCfg = Debug|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|Any CPU.Build.0 = Release|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|x64.ActiveCfg = Release|x64
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|x64.Build.0 = Release|x64
		{99F44E62-155C-4772-918D-243C844D4C21}.Release|x86.ActiveCfg = Release|x64
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|x64.ActiveCfg = Debug|x64
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|x64.Build.0 = Debug|x64
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Debug|x86.ActiveCfg = Debug|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|Any CPU.Build.0 = Release|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|x64.ActiveCfg = Release|x64
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|x64.Build.0 = Release|x64
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|x86.ActiveCfg = Release|x64
		{669A86FA-E2A7-4EFB-AA1E-453B1E5E6ACA}.Release|x86.Build.0 = Release|x64
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|x64.ActiveCfg = Debug|x64
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|x64.Build.0 = Debug|x64
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Debug|x86.ActiveCfg = Debug|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|Any CPU.Build.0 = Release|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|x64.ActiveCfg = Release|x64
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|x64.Build.0 = Release|x64
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|x86.ActiveCfg = Release|x64
		{018E828C-20DF-4C37-98D4-C63ACECCFE67}.Release|x86.Build.0 = Release|x64
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|x64.ActiveCfg = Debug|x64
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|x64.Build.0 = Debug|x64
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Debug|x86.ActiveCfg = Debug|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|Any CPU.Build.0 = Release|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|x64.ActiveCfg = Release|x64
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|x64.Build.0 = Release|x64
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|x86.ActiveCfg = Release|x64
		{6D8FC140-2A1B-4A6C-8360-B60DC8DD71EC}.Release|x86.Build.0 = Release|x64
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|Any CPU.ActiveCfg = Debug|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|Any CPU.Build.0 = Debug|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|Mixed Platforms.Build.0 = Debug|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|x64.ActiveCfg = Debug|x64
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|x64.Build.0 = Debug|x64
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|x86.ActiveCfg = Debug|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Debug|x86.Build.0 = Debug|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|Any CPU.ActiveCfg = Release|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|Any CPU.Build.0 = Release|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|Mixed Platforms.ActiveCfg = Release|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|Mixed Platforms.Build.0 = Release|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|x64.ActiveCfg = Release|x64
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|x64.Build.0 = Release|x64
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|x86.ActiveCfg = Release|x86
		{D0D063C8-4C3E-4550-9040-CB15182D89A2}.Release|x86.Build.0 = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|Any CPU.ActiveCfg = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|Mixed Platforms.Build.0 = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|x64.ActiveCfg = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|x64.Build.0 = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|x86.ActiveCfg = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Debug|x86.Build.0 = Debug|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|Any CPU.ActiveCfg = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|Any CPU.Build.0 = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|Mixed Platforms.ActiveCfg = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|Mixed Platforms.Build.0 = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|x64.ActiveCfg = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|x86.ActiveCfg = Release|x86
		{466AA1E0-A583-4C49-92D9-E57C26B19A24}.Release|x86.Build.0 = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|Any CPU.ActiveCfg = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|Any CPU.Build.0 = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|Mixed Platforms.Build.0 = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|x64.ActiveCfg = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|x86.ActiveCfg = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Debug|x86.Build.0 = Debug|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|Any CPU.ActiveCfg = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|Any CPU.Build.0 = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|Mixed Platforms.ActiveCfg = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|Mixed Platforms.Build.0 = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|x64.ActiveCfg = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|x86.ActiveCfg = Release|x86
		{368A5C79-DFED-4BE4-919F-C5694BE7FA82}.Release|x86.Build.0 = Release|x86
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Debug|x64.ActiveCfg = Debug|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Debug|x86.ActiveCfg = Debug|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Release|Any CPU.Build.0 = Release|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Release|x64.ActiveCfg = Release|Any CPU
		{FDC444F1-A705-45FE-BF70-3C46C30B8A21}.Release|x86.ActiveCfg = Release|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Debug|x64.ActiveCfg = Debug|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Debug|x86.ActiveCfg = Debug|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Release|Any CPU.Build.0 = Release|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Release|x64.ActiveCfg = Release|Any CPU
		{52963A9A-7461-407A-86D6-617EE537A616}.Release|x86.ActiveCfg = Release|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Debug|x64.ActiveCfg = Debug|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Debug|x86.ActiveCfg = Debug|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Release|Any CPU.Build.0 = Release|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Release|Mixed Platforms.Build.0 = Release|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Release|x64.ActiveCfg = Release|Any CPU
		{AF15C2B3-90F8-4821-B1EB-D97BC0E731EE}.Release|x86.ActiveCfg = Release|Any CPU
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
EndGlobal
